gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.Engine

Contents

- Exported types
- Methods
  - Overloaded methods

Description

`Engine` is the base class for all types of language and script specific engines. It has no functionality by itself.

Synopsis

- newtype Engine = Engine (ManagedPtr Engine)
- class (GObject o, IsDescendantOf Engine o) => IsEngine o
- toEngine :: (MonadIO m, IsEngine o) => o -> m Engine

# Exported types

newtype Engine Source #

Memory-managed wrapper type.

Constructors

Engine (ManagedPtr Engine) |

#### Instances

Instances details

Eq Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine Methods (==) :: Engine -> Engine -> Bool # (/=) :: Engine -> Engine -> Bool #
GObject Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine
TypedObject Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine Methods glibType :: IO GType Source #
ManagedPtrNewtype Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine Methods toManagedPtr :: Engine -> ManagedPtr Engine Source #
IsGValue Engine Source # | Convert `Engine` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Pango.Objects.Engine Methods toGValue :: Engine -> IO GValue Source # fromGValue :: GValue -> IO Engine Source #
HasParentTypes Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine
type ParentTypes Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine type ParentTypes Engine = '[Object]

class (GObject o, IsDescendantOf Engine o) => IsEngine o Source #

Type class for types which can be safely cast to `Engine`, for instance with `toEngine`.

#### Instances

Instances details

(GObject o, IsDescendantOf Engine o) => IsEngine o Source # |
Instance details Defined in GI.Pango.Objects.Engine

toEngine :: (MonadIO m, IsEngine o) => o -> m Engine Source #

Cast to `Engine`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods